/**
 Standard way to create a separate process in UNIX:

   1.) Call "fork" to create a child process.

   2.) In the child, set up any needed state (users,
       environment variables, pipes) and call "exec"
       to actually run the new process.

   3.) In the parent, "wait" for the child.

 Orion Sky Lawlor, olawlor@acm.org, 2005/2/7 (Public Domain)
*/
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h> /* for fork */
#include <sys/wait.h>


int main() {
	if (fork()==0) { /* child: do A work */
		execl("/bin/echo","bar","foo",0);
	} else { /* parent: do B work */
		wait(0);
	}
	return 0;
}
